#include <bits/stdc++.h>
#define pasha ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
#define int long long
#define ff first
#define ss second
#define pb push_back
#define all(v) begin(v), end(v)
using namespace std;

constexpr int N = 2e+5 + 5, oo = 2e+18;

void _() {
  int n = 8;
  cout << n << '\n';
  for (int i = 1; i <= n; ++i) {
    cout << (rand() % (int)10) + 1 << ' ';
  }
  cout << '\n';
}

signed main() {
  pasha
  int t = 50;
  freopen("output.txt", "w", stdout);
  // cin >> t;
  cout << t << '\n';
  for (int cs = 1; cs <= t; ++cs) {
    _();
    // cout << '\n';
  }
}